## org.apache.poi.hwpf.model.types
Class FRDAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FRDAbstractType

Direct Known Subclasses:
  FootnoteReferenceDescriptor

    @Internal
    public abstract class FRDAbstractType

extends java.lang.Object

Footnote Reference Descriptor (FRD).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

Field Summary
`protected short` `field_1_nAuto`

Constructor Summary
`protected` `FRDAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`short` `getNAuto()` If > 0, the note is an automatically numbered note, otherwise it has a custom mark.
`static int` `getSize()` Size of record
`void` `serialize(byte[] data, int offset)`
`void` `setNAuto(short field_1_nAuto)` If > 0, the note is an automatically numbered note, otherwise it has a custom mark.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_nAuto

    protected short field_1_nAuto

Constructor Detail

### FRDAbstractType

    protected FRDAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNAuto

    public short getNAuto()

  If > 0, the note is an automatically numbered note, otherwise it has a custom mark.

### setNAuto

    public void setNAuto(short field_1_nAuto)

  If > 0, the note is an automatically numbered note, otherwise it has a custom mark.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.